Skip to main content
POST
/
api
/
v1
/
auth
/
otc
/
deposits
/
{id}
/
credit
curl --request POST \
  --url https://crypto.westminister.tech/api/v1/auth/otc/deposits/{id}/credit \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "to_address": "0x742d35Cc6634C0532925a3b844Bc9e7595f0bEb",
  "asset": "USDC",
  "crypto_amount": "997000.00000000",
  "network": "ethereum",
  "pricing_profile_id": "11111111-2222-3333-4444-555555555555",
  "fx_rate_quote_id": "aaaaaaaa-bbbb-cccc-dddd-eeeeeeeeeeee",
  "fiat_currency": "USD",
  "fiat_amount_equivalent": "1000000.00"
}
'
{
  "deposit": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "merchant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "fiat_amount": "<string>",
    "fiat_currency": "<string>",
    "payment_reference": "<string>",
    "proof_url": "/otc-deposits-proof/ce6e4186-16fe-4e0d-a97d-7638f11c6063/8251c719-0941-46da-8792-5acce5e5efc8.pdf",
    "transfer_date": "2023-11-07T05:31:56Z",
    "merchant_request_id": "<string>",
    "checkout_request_id": "<string>",
    "mpesa_receipt_number": "<string>",
    "mpesa_phone_number": "<string>",
    "sender_account_name": "<string>",
    "sender_account_number_last4": "<string>",
    "sender_bank_name": "<string>",
    "sender_bank_branch": "<string>",
    "receipt_number": "<string>",
    "receipt_uploaded_at": "2023-11-07T05:31:56Z",
    "proof_file_name": "<string>",
    "proof_mime_type": "<string>",
    "proof_size_bytes": 123,
    "proof_file_sha256": "<string>",
    "requested_asset": "<string>",
    "requested_network": "<string>",
    "requested_crypto_amount": "<string>",
    "pricing_profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "fx_rate_quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "confirmed_at": "2023-11-07T05:31:56Z",
    "confirmed_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "rejected_at": "2023-11-07T05:31:56Z",
    "rejected_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "rejection_reason": "<string>",
    "internal_note": "<string>",
    "credited_at": "2023-11-07T05:31:56Z",
    "credited_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "usdt_amount": "<string>",
    "credited_asset": "<string>",
    "credited_crypto_amount": "<string>",
    "credited_to_address": "TJyF42dRr18tSiXV9Cf7JtYUtTbqAGZg94",
    "to_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "payout_to_address": "<string>",
    "payout_to_wallet_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "payout_network": "<string>",
    "payout_asset": "<string>",
    "transfer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "idempotency_key": "<string>",
    "submitted_at": "2023-11-07T05:31:56Z",
    "assigned_to_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "transfer": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "status": "<string>",
    "message": "<string>"
  },
  "multisig_required": true,
  "proposal_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "required_signatures": 123,
  "current_signatures": 123,
  "message": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Body

application/json
asset
enum<string>
required
Available options:
USDT,
USDC
crypto_amount
string
required
network
enum<string>
required
Available options:
tron,
ethereum
to_wallet_id
string<uuid>

Internal recipient wallet ID (use either this or to_address)

to_address
string

Recipient wallet address (internal or external. Use either this or to_wallet_id)

pricing_profile_id
string<uuid>
fx_rate_quote_id
string<uuid>
fiat_currency
string

Active three-letter ISO code from fiat_currencies when the pricing snapshot quartet is supplied. List via GET /api/v1/auth/fiat-currencies.

fiat_amount_equivalent
string
override_reason
string

Required for admin or treasury when crypto_amount differs from quoted net beyond tolerance.

Response

Multisig proposal created

Response when multisig proposal is created (202)

deposit
object
transfer
object
multisig_required
boolean
proposal_id
string<uuid>
required_signatures
integer
current_signatures
integer
message
string